<?php
session_start();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>Search Gin</title> 
	<style type="text/css">
		tfoot input {
			width: 100%;
			padding: 3px;
			box-sizing: border-box;
		}
	</style>
	<link  href="vendor/new/multi/jquery.dataTables.min.css" rel="stylesheet" type="text/css"> 
	<script src="vendor/new/multi/jquery-3.5.1.js" ></script>
	<script src="vendor/new/multi/jquery.dataTables.min.js" ></script>
	
	<script language="JavaScript" src="js/gin_m.js"></script>
</head>
<body>



	<table id="example" class="display" style="width:100%">
		<thead>
			<tr>
			                  <td align="center">ST No</td>
                              <td align="center">From</td>
                              <td align="center">To</td>
                              <td align="center">Entry Date</td> 
                              
			</tr>
		</thead>
		<tbody>
			<?php
			$stname = "";
			if (isset($_GET['stname'])) {
				$stname = $_GET["stname"];
			}
			?>
			<input type="hidden" value="" id="cur" />

		<?php 
							
 
session_start();
include_once './connection_sql.php';
 
							
							
						    if ($_SESSION["company"]!="") {           
                                 $sql="SELECT * FROM s_ginmas where    del_to = 'M' and company='".$_SESSION["company"]."' order by id desc ";
                            }else{
                                 $sql="SELECT * FROM s_ginmas where   del_to = 'M' order by id desc ";
                                 
                            }  echo $sql;
						 
							foreach ($conn->query($sql) as $row) {
					
						  if($row['cancel'] == "1"){
                    $color="red";
                }else{
                    $color="";
                }
                
            
                     
                    echo "<tr style=\"background-color:$color\">               
                              <td align=\"center\" onclick=\"gin('".$row['tmp_no']."');\">".$row['REF_NO']."</a></td>
                              <td align=\"left\" onclick=\"gin('".$row['tmp_no']."');\">".$row['DEP_F_NAME']."</a></td>
                              <td align=\"center\" onclick=\"gin('".$row['tmp_no']."');\">".$row['DEP_T_NAME']."</a></td>
                              <td align=\"center\" onclick=\"gin('".$row['tmp_no']."');\">".$row['SDATE']."</a></td> 
                              
                            </tr>";
							}
							  ?>

		</tbody>
		<tfoot>
			<tr>
	                    	  <th align="center">ST No</th>
                              <th align="center">From</th>
                              <th align="center">To</th>
                              <th align="center">Entry Date</th> 
			</tr>
		</tfoot>
	</table>

</body>
</html>
<script type="text/javascript">
	$(document).ready(function() {
    // Setup - add a text input to each footer cell
    $('#example tfoot th').each( function () {
    	var title = $(this).text();
    	$(this).html( '<input type="text" placeholder="Search '+title+'" />' );
    } );

    // DataTable
    var table = $('#example').DataTable({
    	
    	lengthChange: true,
    	fixedHeader: true,
    	responsive: true,
    	"deferRender": true,
    	"order": [[ 0, 'desc' ]],
    	lengthMenu: [[ 15, 25, 50,100, -1 ],[ '15 rows', '25 rows', '50 rows', '100 rows', 'Show all' ]],
    	initComplete: function () {
            // Apply the search
            this.api().columns().every( function () {
            	var that = this;

            	$( 'input', this.footer() ).on( 'keyup change clear', function () {
            		if ( that.search() !== this.value ) {
            			that
            			.search( this.value )
            			.draw();
            		}
            	} );
            } );
        }
    });

} );
</script>


 
  